.\" file originally circa 18 sept 1990
.\"
.\" $Id: talk.man,v 2.1 1991/09/14 21:13:34 rosenkra Exp $
.\"
.\" $Log: talk.man,v $
.\" Revision 2.1  1991/09/14  21:13:34  rosenkra
.\" clean up for release to atari.archive.
.\"
.\" Revision 2.0  1991/09/14  15:52:28  rosenkra
.\" revised and updated to match GNU C version.
.\"
.\" Revision 1.0  1991/09/14  01:51:22  rosenkra
.\" Initial revision
.\"
.\"
.TH TALK 1 LOCAL "Version 2.1" "14 Sep 1991"
.SH NAME
talk \- speak text from the command line or a file
.SH SYNOPSIS
.B talk
[
.B \-v
] [
.B \-
] [
.B \-f
.I file
] [
.I string...
]
.SH DESCRIPTION
.B Talk
uses
.I speak.tos
to speak text from the command line.
Text files may also be spoken though the results may be somewhat
unpredictable unless the file is written as it would be spoken
(i.e. without much punctuation, special marks, headings, and phonetically).
.PP
The
.B \-v
option sets verbose mode and must be the first argument if present.
In verbose mode, all spoken text is echoed to stdout.
Since
.B talk
does some limited filtering of the input data, it can be useful
to collect the interpreted text.
.PP
Any number of files can be read via the
.B \-f
option.
However you must specify a file name for each occurance of
.BR \-f .
.PP
A single
.B \-
means read from stdin (at that position in the file list.
You must include the
.B \-
to read stdin.
No arguments will cause
.B talk
to exit.
.PP
Any remaining arguments on the command lines are concatenated into a
single line (hence single sentence) and "spoken" after any files or
stdin is read.
.PP
.B Talk
tries to find
.I speak.tos
by first looking for it in the current directory, then via the environment
variable
.B SPEAK
(which must contain the full path, name, and extension), and finally
by searching the
.B PATH
for "speak.tos".
If it fails, it quits.
.\" .SH "PROGRAMMING DETAILS"
.\" .B Talk
.\" uses two entry points into
.\" .I speak.tos
.\" that allow
.\" speech generation under program control.
.\" The process works as follows:
.\" .PP
.\" 1) Load
.\" .I speak.tos
.\" into memory using the Mode 3 option of the
.\" .IR Pexec (2)
.\" .SM GEMDOS
.\" call.
.\" If successful, this call will return the address of the basepage of
.\" the loaded program.
.\" Add 0x100 (hex) to this to get the first byte of the executable code (i.e.
.\" skip past the basepage).
.\" Note that
.\" .B talk
.\" looks for
.\" .I speak.tos
.\" in the current directory,
.\" with environment variable
.\" .B SPEAK
.\" or via the path.
.\" .PP
.\" 2) In order to disable the prompting of
.\" .IR speak.tos ,
.\" two "rts" instructions
.\" are placed so that two subroutines are created.
.\" The first subroutine starts at $32 (hex) bytes after the program
.\" starting address and
.\" converts text in
.\" .IR speak 's
.\" internal buffer to phonemes.
.\" The second at 0x88 bytes after the program address generates speech
.\" from the phonomes.
.\" The 2-byte rts instructions go at
.\" .IR program +0x0e
.\" and
.\" .IR program +0x6c,
.\" respectively,
.\" where
.\" .I program
.\" is the address of the first executable address (256 bytes after
.\" the basepage).
.\" .PP
.\" 3) Read text into the input buffer that
.\" .I speak.tos
.\" uses.
.\" This is located at
.\" .IR program +0x6eee.
.\" This buffer is in the format that
.\" .IR Cconrs (2)
.\" uses.
.\" So the first byte of the buffer must be the length of the buffer (in
.\" this case, 0xfe).
.\" The second byte must be the length of the input line.
.\" .PP
.\" 4) Call the subroutines for phoneme and speech generation.
.SH AUTHOR
Developed in Alcyon, then ported to GNU C by Bill Rosenkranz
(rosenkra@convex.com).
I got the details from somewhere, but I don't recall where at this
point.
